{smcl}
{* *! version 1.0  8 Feb 2018}{...}

{title:Title}
{phang}
{bf:rddmmse} {hline 2} Sharp Regression Discontinuity Design Estimation with Optimal Bandwidths Selection

{title:Syntax}
{p 8 17 2}
{cmdab:rddmmse}
outcome running
[if]
[in]
[{cmd:,} {it:options}]

{synoptset 20 tabbed}{...}
{synopthdr}
{synoptline}
{syntab:Main}
{synopt:{opt Cutoff(#)}} The cutoff value of the running variable. Default is 0.{p_end}
{synoptline}
{p2colreset}{...}
{p 4 6 2}

{title:Description}
{pstd}
{cmd:rddmmse} calculates the optimal bandwidths for the sharp regression discontinuity estimator, 
based on the optimal selection rule developed by Arai & Ichimura (forthcoming). 
It then reports the treatmenet effect estimate using the optimally chosen bandwidths, 
as well as the confidence intervals with conventional, robust, and undersmoothing bandwidths.

{title:Options}
{dlgtab:Main}
{phang}
{opt c(#)}
The value of the running variable at the cutoff. 
Observations are split into two groups, those with its value smaller than the specified number and 
others with its value equal to or larger than the specified number.
The treatment effect is estimated at the specified number of the running variable.

{title:Examples}

{p}
For data with the outcome {bf:y}, the running variable {bf:x}, and the cutoff {bf:0}:

. rddmmse y x, cutoff(0)

{p}
Here the option "{it:cutoff(0)}" (or "{it:c(0)}" if abbreviated) can be dropped, 
so the following gives the same output:

. rddmmse y x

{title:Return values}

{p}
The following scalars and matrices are returned:

{col 4}{bf:tau_opt}  {col 13}(scalar) {col 22}Treatment effect estimate
{col 4}{bf:h_opt_m}  {col 13}(scalar) {col 22}Optimal bandwidth left of the cutoff
{col 4}{bf:h_opt_p}  {col 13}(scalar) {col 22}Optimal bandwidth right of the cutoff
{col 4}{bf:h_opt}    {col 13}(matrix) {col 22}Vector of the optimal bandwidths (left, right)
{col 4}{bf:N_opt_m}  {col 13}(scalar) {col 22}Number of observations within the optimal bandwidth left of the cutoff
{col 4}{bf:N_opt_p}  {col 13}(scalar) {col 22}Number of observations within the optimal bandwidth right of the cutoff
{col 4}{bf:N_opt}    {col 13}(scalar) {col 22}Vector of the numbers of observations (left, right)
{col 4}{bf:h_us_m}   {col 13}(scalar) {col 22}Undersmoothing bandwidth left of the cutoff
{col 4}{bf:h_us_p}   {col 13}(scalar) {col 22}Undersmoothing bandwidth right of the cutoff
{col 4}{bf:h_us}     {col 13}(matrix) {col 22}Vector of the undersmoothing bandwidths (left, right)
{col 4}{bf:N_us_m}   {col 13}(scalar) {col 22}Number of observations within the undersmoothing bandwidth left of the cutoff
{col 4}{bf:N_us_p}   {col 13}(scalar) {col 22}Number of observations within the undersmoothing bandwidth right of the cutoff
{col 4}{bf:N_us}     {col 13}(scalar) {col 22}Vector of the numbers of observations within the undersmoothing bandwidths (left, right)
{col 4}{bf:se_c}     {col 13}(scalar) {col 22}Conventional standard errors
{col 4}{bf:se_r}     {col 13}(scalar) {col 22}Robust standard errors
{col 4}{bf:t_r}      {col 13}(scalar) {col 22}{it:t}-value based on the robust standard errors
{col 4}{bf:p_r}      {col 13}(scalar) {col 22}P value based on the robust standard errors
{col 4}{bf:ci_nv_m}  {col 13}(scalar) {col 22}Not valid confidence interval left of the cutoff
{col 4}{bf:ci_nv_p}  {col 13}(scalar) {col 22}Not valid confidence interval right of the cutoff
{col 4}{bf:ci_nv}    {col 13}(matrix) {col 22}Vector of the not-valid confidence interval (left, right)
{col 4}{bf:ci_c_m}   {col 13}(scalar) {col 22}Conventional confidence interval left of the cutoff
{col 4}{bf:ci_c_p}   {col 13}(scalar) {col 22}Conventional confidence interval right of the cutoff
{col 4}{bf:ci_c}     {col 13}(matrix) {col 22}Vector of the conventional confidence interval (left, right)
{col 4}{bf:ci_r_m}   {col 13}(scalar) {col 22}Robust confidence interval left of the cutoff
{col 4}{bf:ci_r_p}   {col 13}(scalar) {col 22}Robust confidence interval right of the cutoff
{col 4}{bf:ci_r}     {col 13}(matrix) {col 22}Vector of the robust confidence interval (left, right)
{col 4}{bf:ci_us_m}  {col 13}(scalar) {col 22}Undersmoothing confidence interval left of the cutoff
{col 4}{bf:ci_us_p}  {col 13}(scalar) {col 22}Undersmoothing confidence interval right of the cutoff
{col 4}{bf:ci_us}    {col 13}(matrix) {col 22}Vector of the undersmoothing confidence interval (left, right)
{col 4}{bf:bias_opt} {col 13}(scalar) {col 22}Bias estimate in optimal bandwidth selection

{title:Correspondence}

{p}
For estimation method, {browse "mailto:yarai@grips.ac.jp":Y. Arai}. For Stata program, {browse "mailto:phd13106@grips.ac.jp":M. Nagashima}.

{title:References}

{p}
Arai, Y. & H. Ichimura. ({it:in press}). Simultaneous Selection of Optimal Bandwidths for the Sharp Regression Discontinuity Estimator. {it:Quantitative Economics}, forthcoming.
